import { createApp } from 'vue'
import { createHead } from '@vueuse/head'
import { createRouter, createWebHistory } from 'vue-router'
import App from './App.vue'
import Home from './pages/Home.vue'
import Raffle from './pages/Raffle.vue'

import './assets/main.css'

const app = createApp(App)

app.use(createHead())
app.use(
  createRouter({
    history: createWebHistory(),
    routes: [
      { path: '/', component: Home },
      { path: '/raffle/:id', component: Raffle },
    ],
  })
)

app.mount('#app')
